/*======================================================*/
/*  VectorIteration.cpp - demo iterating thru a vector	*/
/*======================================================*/

#include <iostream>
#include <vector>

using namespace std;

int main()
{
    vector<int> v;
    vector<int>::iterator it;
    vector<int>::reverse_iterator itr;

    cout << endl << "Vector Iteration:  ";

    for (int i = 0; i < 5; i++)
	v.push_back(i);

    for (it = v.begin(); it != v.end(); it++)
	cout << *it << " ";

    for (itr = v.rbegin(); itr != v.rend(); ++itr)
	cout << " " << *itr;
    cout << endl << endl;

    return 0;
}
